Profiling
Configuration and execution of database profiling.
Triggers the profiling job for a specific Database asset.
This API executes the profiling as an asynchronous job and returns the job id of the triggered job in the response. To monitor the status of a job, use the Jobs resource of the REST Core API: GET /jobs/{jobId}.
Collibra REST API authentication using Basic Authentication.
The ID of the Database asset.
The profiling job has started.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/databases/{databaseId}/profile HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"resourceType": "View",
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"progressPercentage": 50,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"message": "Import finished in 12s."
}Returns the profiling configurations defined for the given criteria.
Collibra REST API authentication using Basic Authentication.
The ID of the Database asset.
The index of the first result to retrieve.
If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve.
If not set, the default limit (limit = 0) will be used. The maximum value for this parameter is
500.
0The profiling configurations defined for the given criteria.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
GET /rest/catalogDatabase/v1/profilingConfigurations HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"results": [
{
"databaseId": "123e4567-e89b-12d3-a456-426614174000",
"profilingType": "sample",
"sampleSize": 20000,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX",
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Creates a profiling configuration for a specific Database asset. This profiling configuration provides a default configuration that applies to all schemas in the Database asset. You can define only a single default profiling configuration for a specific Database asset.
To define schema-specific profiling configurations, use the /schemaProfilingConfigurations endpoints.
Collibra REST API authentication using Basic Authentication.
The ID of the Database asset.
- full: Select to profile based on all synchronized metadata.
- sample: Select to profile based on a sample of the synchronized metadata. When you select Partial scan, you can define the maximum number of rows that you want to use for profiling (as sampleSize). By default, the maximum number of rows is 20000.
samplePossible values: If profilingType is defined as sample, this attribute defines how many rows are used for profiling. The minimum value is 100.
20000If set to true, it will automatically create a data profile every time the metadata synchronization process of one or more schemas finishes.
This may take a long time. You can also add a schedule to profile at regular intervals.
falseExample: trueA comma-separated list of table types to be excluded during profiling.
""Example: VIEW, MATERIALIZED VIEW, INDEXThe profiling configuration has been created.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/profilingConfigurations HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 184
{
"databaseId": "123e4567-e89b-12d3-a456-426614174000",
"profilingType": "sample",
"sampleSize": 20000,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}{
"databaseId": "123e4567-e89b-12d3-a456-426614174000",
"profilingType": "sample",
"sampleSize": 20000,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX",
"id": "123e4567-e89b-12d3-a456-426614174000"
}Returns a profiling configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the profiling configuration.
The profiling configuration.
The ID of the Database asset.
- full: Select to profile based on all synchronized metadata.
- sample: Select to profile based on a sample of the synchronized metadata. When you select Partial scan, you can define the maximum number of rows that you want to use for profiling (as sampleSize). By default, the maximum number of rows is 20000.
samplePossible values: If profilingType is defined as sample, this attribute defines how many rows are used for profiling. The minimum value is 100.
20000If set to true, it will automatically create a data profile every time the metadata synchronization process of one or more schemas finishes.
This may take a long time. You can also add a schedule to profile at regular intervals.
falseExample: trueA comma-separated list of table types to be excluded during profiling.
""Example: VIEW, MATERIALIZED VIEW, INDEXThe ID of the profiling configuration.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
GET /rest/catalogDatabase/v1/profilingConfigurations/{profilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"databaseId": "123e4567-e89b-12d3-a456-426614174000",
"profilingType": "sample",
"sampleSize": 20000,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX",
"id": "123e4567-e89b-12d3-a456-426614174000"
}Deletes a profiling configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the profiling configuration.
The profiling configuration has been deleted.
No content
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
DELETE /rest/catalogDatabase/v1/profilingConfigurations/{profilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Updates a profiling configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the profiling configuration.
- full: Select to profile based on all synchronized metadata.
- sample: Select to profile based on a sample of the synchronized metadata. When you select Partial scan, you can define the maximum number of rows that you want to use for profiling (as sampleSize). By default, the maximum number of rows is 20000.
If profilingType is defined as sample, this attribute defines how many rows are used for profiling. The minimum value is 100.
If set to true, it will automatically create a data profile every time the metadata synchronization process of one or more schemas finishes.
This may take a long time. You can also add a schedule to profile at regular intervals.
trueA comma-separated list of table types to be excluded during profiling.
""Example: VIEW, MATERIALIZED VIEW, INDEXThe profiling configuration has been updated.
The ID of the Database asset.
- full: Select to profile based on all synchronized metadata.
- sample: Select to profile based on a sample of the synchronized metadata. When you select Partial scan, you can define the maximum number of rows that you want to use for profiling (as sampleSize). By default, the maximum number of rows is 20000.
samplePossible values: If profilingType is defined as sample, this attribute defines how many rows are used for profiling. The minimum value is 100.
20000If set to true, it will automatically create a data profile every time the metadata synchronization process of one or more schemas finishes.
This may take a long time. You can also add a schedule to profile at regular intervals.
falseExample: trueA comma-separated list of table types to be excluded during profiling.
""Example: VIEW, MATERIALIZED VIEW, INDEXThe ID of the profiling configuration.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
PATCH /rest/catalogDatabase/v1/profilingConfigurations/{profilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 126
{
"profilingType": "full",
"sampleSize": 1,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}{
"databaseId": "123e4567-e89b-12d3-a456-426614174000",
"profilingType": "sample",
"sampleSize": 20000,
"runAfterMetadataSynchronization": true,
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX",
"id": "123e4567-e89b-12d3-a456-426614174000"
}Returns the schema-specific profiling configurations defined for the given criteria. You can apply a filter on the schema connection or database to return only the configurations defined for a given schema or database.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The ID of the Database asset.
The index of the first result to retrieve.
If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve.
If not set, the default limit (limit = 0) will be used. The maximum value for this parameter is
500.
0The schema profiling configurations defined for the given database and (optionally) schema.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
GET /rest/catalogDatabase/v1/schemaProfilingConfigurations HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"results": [
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Creates a profiling configuration for a specific schema.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The schema profiling configuration has been created.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/schemaProfilingConfigurations HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 304
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
]
}{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}Add multiple schema profiling configurations.
This operation is executed in a single transaction, that creates all the configurations. In case the operation fails, none of the configurations are created.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The schema profiling configurations have been created succesfully. The created profiling configurations are included in the response.
The ID of the schema connection.
The ID of schema profiling configuration.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/schemaProfilingConfigurations/batch HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 306
[
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
]
}
][
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}
]Returns a specific schema profiling configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the schema profiling configuration.
The schema profiling configuration identified by the given identifier.
The ID of the schema connection.
The ID of schema profiling configuration.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
GET /rest/catalogDatabase/v1/schemaProfilingConfigurations/{schemaProfilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}Deletes a schema profiling configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the schema profiling configuration.
The schema profiling configuration has been deleted successfully.
No content
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
DELETE /rest/catalogDatabase/v1/schemaProfilingConfigurations/{schemaProfilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Updates a specific profiling configuration.
You can only update some attributes of the schema profiling configuration via this API. The attributes that are not provided in the request are not modified.
Collibra REST API authentication using Basic Authentication.
The ID of the schema profiling configuration.
The ID of the schema connection.
The profiling configuration has been updated.
The ID of the schema connection.
The ID of schema profiling configuration.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
PATCH /rest/catalogDatabase/v1/schemaProfilingConfigurations/{schemaProfilingConfigurationId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 304
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
]
}{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"profilingRules": [
{
"profilingType": "sample",
"sampleSize": 20000,
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_profile, temp_*",
"excludeTypes": "VIEW, MATERIALIZED VIEW, INDEX"
}
],
"id": "123e4567-e89b-12d3-a456-426614174000"
}Last updated
Was this helpful?